import { IDay, IMonth, MonthNumber } from './types';
export declare const getDaysInMonth: (year: number, month: MonthNumber) => number;
export declare const getPreviousMonth: (year: number, month: MonthNumber) => IMonth;
export declare const getNextMonth: (year: number, month: MonthNumber) => IMonth;
export declare const getPreviousDay: (year: number, month: MonthNumber, day: number) => IDay;
export declare const getNextDay: (year: number, month: MonthNumber, day: number) => IDay;
/**
 * Get calendar for given month.
 *
 * @param {number} year - year [1900 – 2100]
 * @param {number} month - Month [1  - 12]
 * @param {number} [startOfTheWeek=0] - Start of the week [0 – 6] where 0 is Sunday, and 6 is Saturday
 *
 * @returns {Object[][]}
 */
export declare function calendarMonth(year: number, month: number, startOfTheWeek?: number): IDay[][];
